﻿using System.Drawing;

using DevExpress.XtraEditors;
using DevExpress.XtraGrid.Views.Base;
using DevExpress.XtraGrid.Views.Layout;
using DevExpress.XtraGrid.Views.Layout.Events;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.layoutView.OptionsBehavior.AutoPopulateColumns = true;

            this.gridControl.DataSource = new nwindDataSetTableAdapters.CustomersTableAdapter().GetData();

            this.layoutView.CustomCardStyle += layoutView_CustomCardStyle;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 레이아웃 뷰 카드 스타일 커스텀 설정하기 - layoutView_CustomCardStyle(sender, e)

        /// <summary>
        /// 레이아웃 뷰 카드 스타일 커스텀 설정하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void layoutView_CustomCardStyle(object sender, LayoutViewCardStyleEventArgs e)
        {
            LayoutView view = sender as LayoutView; 

            string city = view.GetRowCellDisplayText(e.RowHandle, "City");

            if(city != "London")
            {
                return;
            }

            if((e.State & GridRowCellState.Focused) != 0)
            {
                e.Appearance.BorderColor = Color.Red;
            }
            else
            {
                e.Appearance.BorderColor = Color.MediumOrchid;
            }
        }

        #endregion
    }
}